# Poco::XML

# class SAXException

Library: XML
Package: SAX
Header: Poco/SAX/SAXException.h

## Inheritance

Direct Base Classes: XMLException

All Base Classes: Poco::Exception, Poco::RuntimeException, XMLException, std::exception

Known Derived Classes: SAXNotRecognizedException, SAXNotSupportedException, SAXParseException

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### SAXException

SAXException(
int code = 0
);

### SAXException

SAXException(
const SAXException & exc
);

### SAXException

SAXException(
const std::string & msg,
int code = 0
);

### SAXException

SAXException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### SAXException

SAXException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~SAXException

~SAXException();

## Member Functions

### className

const char * className() const;

See also: Poco::XML::XMLException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::XML::XMLException::name()

### operator =

SAXException & operator = (
const SAXException & exc
);

### rethrow

void rethrow() const;

See also: Poco::XML::XMLException::rethrow()